GNU bug report logs - #49593
Emacs overrides normal-erase-is-backspace

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Paul W. Rankin" <pwr@HIDDEN>; Keywords: patch moreinfo; dated Fri, 16 Jul 2021 07:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 49593 <at> debbugs.gnu.org:


Received: (at 49593) by debbugs.gnu.org; 18 Jul 2021 12:08:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 18 08:08:50 2021
Received: from localhost ([127.0.0.1]:55336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m55bG-0000J6-CF
	for submit <at> debbugs.gnu.org; Sun, 18 Jul 2021 08:08:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m55bC-0000Iq-6U
 for 49593 <at> debbugs.gnu.org; Sun, 18 Jul 2021 08:08:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TXrdvVsAjgaHgp6S40rULR/wn7mP7hyuQpxD4VGKGYI=; b=saLMDwYfLOdMnuKVm/PhjDCywQ
 +raOFKvRmqzK4Y8uGfOJpds1MzLuLemIzTYHOVuCIVUZeci2wtypk03uukUUvcf6iBhOcXECv/On/
 XVEqCCT1LsOyvTTO9zwHRRTsIHleGI85FOsBVx8zC2L8KmrDOaPaG/iaSst+mqkU4+K4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m55ay-0000M0-Uv; Sun, 18 Jul 2021 14:08:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Paul W. Rankin" <pwr@HIDDEN>
Subject: Re: bug#49593: Emacs overrides normal-erase-is-backspace
References: <f5ff7310c4880b6a9e07b771e1c8ae5e@HIDDEN>
 <878s26d16t.fsf@HIDDEN>
 <726cbb9e1c7656d897b349ac6c0a245a@HIDDEN>
X-Now-Playing: The Meters's _Gettin' Funkier All The Time (1): Here Comes
 The Meter Man & Looka-Ya Py Py_: "Here Comes the Meter Man"
Date: Sun, 18 Jul 2021 14:08:32 +0200
In-Reply-To: <726cbb9e1c7656d897b349ac6c0a245a@HIDDEN> (Paul
 W. Rankin's message of "Sun, 18 Jul 2021 15:01:39 +1000")
Message-ID: <87bl6zu8n3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Paul W. Rankin" <pwr@HIDDEN> writes: > Thanks for
 looking
 into this. Yes after reading through the code of > this my opinion is that
 it would be better scrapped and rewritten from > scratch. (For me the patch
 did not fix the option persi [...] 
 Content analysis details:   (-0.4 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 2.5 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
 [URIs: bydasein.com]
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 49593
Cc: 49593 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

--=-=-=
Content-Type: text/plain

"Paul W. Rankin" <pwr@HIDDEN> writes:

> Thanks for looking into this. Yes after reading through the code of
> this my opinion is that it would be better scrapped and rewritten from
> scratch. (For me the patch did not fix the option persisting after
> restarting Emacs.)

Hm, odd.  I tried your recipe with the patch, and


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


instead of the "changed outside" message you were getting...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49593; Package emacs. Full text available.

Message received at 49593 <at> debbugs.gnu.org:


Received: (at 49593) by debbugs.gnu.org; 18 Jul 2021 05:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 18 01:02:13 2021
Received: from localhost ([127.0.0.1]:55019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4ywP-0004Kv-7S
	for submit <at> debbugs.gnu.org; Sun, 18 Jul 2021 01:02:13 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:48912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pwr@HIDDEN>) id 1m4ywL-0004Ke-QZ
 for 49593 <at> debbugs.gnu.org; Sun, 18 Jul 2021 01:02:11 -0400
DKIM-Signature: a=rsa-sha256;
 b=nSm7Dj5gNvWH4Onf6rK8hCp6oIizNcZ4NDoYxCMY1MpxIgDsgZE+tj+lZIIGtg9ImHQAGgB7ciVwRdT/PwMLpzbnwjS8Ky5LrpTpmsyml4SerTwOhBVHEaAc5kAN9Uz00MBI7YGargLskZmuqHygPWzWXsq3uZCC/wYG6pZKDBfM65YxgSiU5HgqxCDIVJjMKA1wvtpC68BGvqkfQn8MHPSRvQVJFQhFRBJGXWiM5HHNTtFro0nAhb+QMR6b5Ri51vtWhfTUIUiVqi3yo4EqqzHpKaj05kBiX+g+oPXWlu81MzOp8Ap1hcQ+gyNKSmfW2Zw6h9hWvlL1YI2LJ7w3WQ==;
 s=purelymail3; d=bydasein.com; v=1;
 bh=nVJG3VMl/HlXkBw6wLm4dsgd7r3uuOEY2hP+HHxzp5E=; h=Received:From:To; 
DKIM-Signature: a=rsa-sha256;
 b=ZHpBCSEjEqejrxzbLGyrU1+B+QnC1Ckwcpv+DerpaYG1HuiuFrxd0YiFfYCBpZ47oRB9uubno2HfM2RiMK6PZ/yTyzBQ4+qwt4owPn8SW9+XahinZ+9L/snpDUGa5YepN2wfdp8IQA9LN4aG6S/v5HcBR+va+RC/eCmsOM/mXAwIELOpLHIptZjuOxrJFPQXPI+vPGLqSyEClDeLIoZISmubTEvuOmhP3e1Vkvb7bVxLlqoRnhnbFdie9NEAaWHhzU9UVN+B9tzeR0Qk6crAd0bd+XEMUo9G5kRHscoJiga+PFKerRcQEi0wz4Dv75jRbo36NHjTqWhWKZKVcQjGAw==;
 s=purelymail3; d=purelymail.com; v=1;
 bh=nVJG3VMl/HlXkBw6wLm4dsgd7r3uuOEY2hP+HHxzp5E=;
 h=Feedback-ID:Received:From:To; 
Feedback-ID: 791:353:null:purelymail
X-Pm-Original-To: 49593 <at> debbugs.gnu.org
Received: by ip-172-30-0-12.ec2.internal (JAMES SMTP Server ) with ESMTPA ID
 -1660164130; Sun, 18 Jul 2021 05:01:39 +0000 (UTC)
MIME-Version: 1.0
Date: Sun, 18 Jul 2021 15:01:39 +1000
From: "Paul W. Rankin" <pwr@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#49593: Emacs overrides normal-erase-is-backspace
In-Reply-To: <878s26d16t.fsf@HIDDEN>
References: <f5ff7310c4880b6a9e07b771e1c8ae5e@HIDDEN>
 <878s26d16t.fsf@HIDDEN>
User-Agent: Purely Mail via Roundcube/1.4.10
Message-ID: <726cbb9e1c7656d897b349ac6c0a245a@HIDDEN>
X-Sender: pwr@HIDDEN
Organization: By Dasein
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Lars,
 Thanks for looking into this. Yes after reading through
 the code of this my opinion is that it would be better scrapped and rewritten
 from scratch. (For me the patch did not fix the option persisting [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.7 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
 [URIs: bydasein.com]
X-Debbugs-Envelope-To: 49593
Cc: 49593 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Hi Lars,

Thanks for looking into this. Yes after reading through the code of this 
my opinion is that it would be better scrapped and rewritten from 
scratch. (For me the patch did not fix the option persisting after 
restarting Emacs.)

I've managed to resolve my problem via the console itself so I'd rather 
not touch it, but might be worthwhile keeping the issue open if anyone 
else requires the mode/variable.


On 2021-07-16 20:04, Lars Ingebrigtsen wrote:
> 
> Hm, looking at the code to `normal-erase-is-backspace-mode', I don't 
> see
> how that's supposed to work at all.  The value is only used in
> `normal-erase-is-backspace-setup-frame', and calling
> `normal-erase-is-backspace-mode' doesn't actually change the value of
> the variable, which explains why `custom-set-variables' does nothing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49593; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49593 <at> debbugs.gnu.org:


Received: (at 49593) by debbugs.gnu.org; 16 Jul 2021 10:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 16 06:04:58 2021
Received: from localhost ([127.0.0.1]:50525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4KiI-0003dl-JV
	for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 06:04:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m4KiF-0003dL-I6
 for 49593 <at> debbugs.gnu.org; Fri, 16 Jul 2021 06:04:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=IXyT72v579of3A0MYD2UrYIkC6AkclMOaH8EgsN5tu8=; b=eWr4axKWlcV2wIwm8I8ZJaLjd9
 HlR82TY5h/R/JenXURf+TyH85pNDrTdK9oxoDWAUZaQWemHaFX1WVhLw3A4LrQNiQr6Q4WiCuDq4i
 qOEOUcOmWcIv+Fjirr1O5ymuA30XA9Iw0quNORoyN7k6NVzEI7oC327gc3nIWKvPz3cQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m4Ki3-0002wD-NR; Fri, 16 Jul 2021 12:04:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Paul W. Rankin" <pwr@HIDDEN>
Subject: Re: bug#49593: Emacs overrides normal-erase-is-backspace
References: <f5ff7310c4880b6a9e07b771e1c8ae5e@HIDDEN>
X-Now-Playing: Squarepusher's _Be Up A Hello_: "Vortrack"
Date: Fri, 16 Jul 2021 12:04:42 +0200
In-Reply-To: <f5ff7310c4880b6a9e07b771e1c8ae5e@HIDDEN> (Paul
 W. Rankin's message of "Fri, 16 Jul 2021 16:57:49 +1000")
Message-ID: <878s26d16t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Paul W. Rankin" <pwr@HIDDEN> writes: >
 normal-erase-is-backspace
 is maybe; marked as "CHANGED outside of > Customize" The doc string does
 say: Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49593
Cc: 49593 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Paul W. Rankin" <pwr@HIDDEN> writes:

> normal-erase-is-backspace is maybe; marked as "CHANGED outside of
> Customize"

The doc string does say:

Setting this variable with setq doesn't take effect.  Programmatically,
call `normal-erase-is-backspace-mode' (which see) instead.

But setting it with `custom-set-variables' should work, I'd have
thought?  Hm...

(custom-set-variables '(normal-erase-is-backspace t))

sets it to `maybe', so it's not a startup problem (there's been some
with Customize)...

Hm, looking at the code to `normal-erase-is-backspace-mode', I don't see
how that's supposed to work at all.  The value is only used in
`normal-erase-is-backspace-setup-frame', and calling
`normal-erase-is-backspace-mode' doesn't actually change the value of
the variable, which explains why `custom-set-variables' does nothing.

The following change seems to fix the issue:

diff --git a/lisp/simple.el b/lisp/simple.el
index 322693f631..01851e0a0a 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -9505,9 +9505,9 @@ normal-erase-is-backspace
   :set (lambda (symbol value)
 	 ;; The fboundp is because of a problem with :set when
 	 ;; dumping Emacs.  It doesn't really matter.
-	 (if (fboundp 'normal-erase-is-backspace-mode)
-	     (normal-erase-is-backspace-mode (or value 0))
-	   (set-default symbol value))))
+	 (when (fboundp 'normal-erase-is-backspace-mode)
+	   (normal-erase-is-backspace-mode (or value 0)))
+	 (set-default symbol value)))
 
 (defun normal-erase-is-backspace-setup-frame (&optional frame)
   "Set up `normal-erase-is-backspace-mode' on FRAME, if necessary."



But is that the correct fix?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49593; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jul 2021 07:25:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 16 03:25:58 2021
Received: from localhost ([127.0.0.1]:50415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4IEP-0005zP-Q7
	for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 03:25:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:32848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pwr@HIDDEN>) id 1m4HnQ-0005Le-36
 for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 02:58:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47906)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pwr@HIDDEN>) id 1m4HnP-0003yL-QX
 for bug-gnu-emacs@HIDDEN; Fri, 16 Jul 2021 02:58:03 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:46618)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pwr@HIDDEN>) id 1m4HnN-0003D3-Dn
 for bug-gnu-emacs@HIDDEN; Fri, 16 Jul 2021 02:58:03 -0400
DKIM-Signature: a=rsa-sha256;
 b=PZX/wp2sgiEcOeCnD++/8t1690EIRBPV+feXo4B10sH5ug/v6uSYX0jyDEA188QlQCBpp8BF+CRQquDo/kg47hXAv/rUbW0cigI9EIcVHIFcI5E1JrvUYdbjq4EYbLp2ggLKKJBwLKqxSjs8l4FS3X6Wqff7hO21uIoOXPL2jnYcrqC8dtLogk7GyuoH8biyjWndLsu3rCq4FfPQSoamhemBumTSIciiNUIceBydiNFlaAVndHGkmbKBHjsa9z6nhoUGkRjGyV9o73zerjdy+ZJLS+Rfk0hwZZ83AMDf57/3StkIhk2lKArpkC7/wFoYltyKTr2jjTOR3MaHbZbA2w==;
 s=purelymail3; d=bydasein.com; v=1;
 bh=hfFhFzhkJJp6rpLmQRzRlX/uKIz/I8yCbCizvGPJYNw=; h=Received:From:To; 
DKIM-Signature: a=rsa-sha256;
 b=XwoaxxOGh/v/30Ma20lfAVmT9WRTUBBJB0U0tOc7iZHh7k2kTn0wqltGN/2SeypP68LDTEVYBTGe2bmHlbvbkVuoNLrpHfK+AAj5gapPLgmKL09zpkcaoulkah/mNwsqcL35qTzBSjoNqJYXNxILZdLc2Wie09K1zf1JDRHLSmYHPtj+HRNYxXAgysj8AZpXkvTQSgbatoYBhe5I6fg25CnAliJxfV21nNNHW4CxIDs3GWhAkMryWbc2kcoLM169awowCNiy23yliI4zKF/IfEM+TKrRmJU6tTCC25QqJJkxaWEmCW+wK7KKR26DgL16bM8dhqKDVPkOvPUOiM+oFg==;
 s=purelymail3; d=purelymail.com; v=1;
 bh=hfFhFzhkJJp6rpLmQRzRlX/uKIz/I8yCbCizvGPJYNw=;
 h=Feedback-ID:Received:From:To; 
Feedback-ID: 791:353:null:purelymail
X-Pm-Original-To: bug-gnu-emacs@HIDDEN
Received: by ip-172-30-0-12.ec2.internal (JAMES SMTP Server ) with ESMTPA ID
 422389701 for <bug-gnu-emacs@HIDDEN>;
 Fri, 16 Jul 2021 06:57:49 +0000 (UTC)
MIME-Version: 1.0
Date: Fri, 16 Jul 2021 16:57:49 +1000
From: "Paul W. Rankin" <pwr@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Emacs overrides normal-erase-is-backspace
User-Agent: Purely Mail via Roundcube/1.4.10
Message-ID: <f5ff7310c4880b6a9e07b771e1c8ae5e@HIDDEN>
X-Sender: pwr@HIDDEN
Organization: By Dasein
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Received-SPF: pass client-ip=34.202.193.197; envelope-from=pwr@HIDDEN;
 helo=sendmail.purelymail.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_40=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 16 Jul 2021 03:25:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Overview:

Emacs overrides user's customization of normal-erase-is-backspace with=20
no clear way to set it.

Steps to reproduce:

1. insert into start.el:

     (custom-set-variables=C2=A0'(normal-erase-is-backspace t))

2. emacs -Q -l start.el

3. M-x customize-option RET normal-erase-is-backspace

Expected behaviour:

normal-erase-is-backspace is t.

Actual behaviour:

normal-erase-is-backspace is maybe; marked as "CHANGED outside of=20
Customize"




Acknowledgement sent to "Paul W. Rankin" <pwr@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49593; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Jul 2021 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.